﻿-- arrays to allocate the current localization strings
DailyTrackerCategories = {};
DailyTrackerCategoriesIdMappings = {};
DailyTrackerQuests = {};
DailyTrackerQuestsIdMappings = {};
DailyTrackerGroups = {};
DailyTrackerGroupsIdMappings = {};
DailyTrackerStrings = {};

-- arrays to allocate various localizations
DailyTrackerLocalCategories = {};
DailyTrackerLocalQuests = {};
DailyTrackerLocalStrings = {};
DailyTrackerLocalGroups = {};

-- default locale to load
DailyTrackerLocale_DefaultLocale = "enUS";

function DailyTrackerLocale_ReplaceTokens( str )
   local rv = str;
   rv = string.gsub(str, "$url", "http://wow.curse.com/downloads/wow-addons/details/daily-quest-viewer.aspx");
   
   return rv;
end

function DailyTrackerLocale_LocalizeQuests( locale )	
   if not DailyTrackerLocalQuests[ locale ] then
      return;
   end
   
   local workingIndex = table.getn( DailyTrackerQuests ) + 1;
   for i = 1, table.getn( DailyTrackerLocalQuests[ locale ] ) do
      local quest = DailyTrackerLocalQuests[ locale ][ i ];
      local uniqueQuestId = quest.Category .. "_" .. quest.Id;
      local index = DailyTrackerQuestsIdMappings[ uniqueQuestId ];
      
      if index then
         DailyTrackerQuests[ index ] = quest;
      else
         DailyTrackerQuests[ workingIndex ] = quest;
         DailyTrackerQuestsIdMappings[ uniqueQuestId ] = workingIndex;
         workingIndex = workingIndex + 1;
      end
   end
end

function DailyTrackerLocale_LocalizeGroups( locale )
   if not DailyTrackerLocalGroups[ locale ] then
      return;
   end

   local workingIndex = table.getn( DailyTrackerGroups ) + 1;
   for i = 1, table.getn( DailyTrackerLocalGroups[ locale ] ) do
      local group = DailyTrackerLocalGroups[ locale ][ i ];
      local index = DailyTrackerGroupsIdMappings[ group.Id ];

      if index then
         DailyTrackerGroups[ index ] = group;
      else
         DailyTrackerGroups[ workingIndex ] = group;
         DailyTrackerGroupsIdMappings[ group.Id ] = wrokingIndex;
         workingIndex = workingIndex + 1;
      end
   end
end

function DailyTrackerLocale_LocalizeCategories( locale )
   if not DailyTrackerLocalCategories[ locale ] then
      return;
   end
   
   local workingIndex = table.getn( DailyTrackerCategories ) + 1;
   for i = 1, table.getn( DailyTrackerLocalCategories[ locale ] ) do
      local cat = DailyTrackerLocalCategories[ locale ][ i ];
      local index = DailyTrackerCategoriesIdMappings[ cat.Id ];
      
      if index then
         DailyTrackerCategories[ index ] = cat;
      else			
         DailyTrackerCategories[ workingIndex ] = cat;
         DailyTrackerCategoriesIdMappings[ cat.Id ] = workingIndex;
         workingIndex = workingIndex + 1;
      end
   end
end

function DailyTrackerLocale_LocalizeStrings( locale )
   if not DailyTrackerLocalStrings[ locale ] then
      return;
   end
   
   for k, v in pairs(DailyTrackerLocalStrings[ locale ]) do
      DailyTrackerStrings[k] = DailyTrackerLocale_ReplaceTokens(v);
   end
end

function DailyTrackerLocale_Localize( locale )
   DailyTrackerLocale_LocalizeCategories( locale );
   DailyTrackerLocale_LocalizeQuests( locale );
   DailyTrackerLocale_LocalizeStrings( locale );
end
