﻿-- LAST UPDATED: $Revision: 53 $

DailyTrackerLocalCategories["frFR"] = {
    -- CategoryName: the name of the category
    -- Id: a unique string used to identify this category.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
    { CategoryName = "Quête Héroique Quot.", Id="DAILYHEROIC" },
    { CategoryName = "Quête Normale Quot.", Id="DAILYNORMAL" },
    { CategoryName = "Quête de Cuisine", Id="DAILYCOOKING" },
    { CategoryName = "Quête de Pêche", Id="DAILYFISHING" },
    { CategoryName = "Champs de Bataille", Id="DAILYBATTLEGROUND" }
};

DailyTrackerLocalQuests["frFR"] = {
    -- Title: title of the quest
    -- Location: instance required for the quest, or nil if it's not an instance quest
    -- Category: pointer to the category that this quest belongs.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
    -- Id: a unique string used to identify this quest.  MUST REMAIN THE SAME FOR ALL LOCALIZATIONS.
    
    -- DAILY NORMAL QUESTS:
    {Title="On recherche : Des sentinelles de l'Arcatraz", Location="Arcatraz", Id="ARC", Category="DAILYNORMAL"},
    {Title="On recherche : Des myrmidons de Glissecroc", Location="Le Caveau de la Vapeur", Id="SV", Category="DAILYNORMAL"},
    {Title="On recherche : Des instructrices malveillantes", Location="Labyrinthe des Ombres", Id="SLAB", Category="DAILYNORMAL"},
    {Title="On recherche : Des seigneurs des failles", Location="Grottes du Temps : Noir Marécage", Id="BM", Category="DAILYNORMAL"},
    {Title="On recherche : Des centurions de la Main brisée", Location="Les Salles Brisées", Id="SH", Category="DAILYNORMAL"},
    {Title="On recherche : les sœurs du tourment", Location="La Terrasse des Magistères", Id="MgT", Category="DAILYNORMAL"},
    {Title="On recherche : Des canalistes Cherche-soleil", Location="Botanica", Id="BOT", Category="DAILYNORMAL"},
    {Title="On recherche : Des destructeurs Forge-tempête", Location="Mechanar", Id="MECH", Category="DAILYNORMAL"},
    
    -- DAILY HEROIC QUESTS:
    {Title="On recherche : La cravache de Nazan", Location="Les Remparts de la citadelle infernale", Id="HFR", Category="DAILYHEROIC" },
    {Title="On recherche : Le bâton à plumes de Keli'dan", Location="La fournaise", Id="BF", Category="DAILYHEROIC" },
    {Title="On recherche : Le sceau de Lamepoing", Location="Les Salles Brisées", Id="SH", Category="DAILYHEROIC" },
    {Title="On recherche : Le cœur de Bourbierreux", Location="L'enclos aux esclaves", Id="SP", Category="DAILYHEROIC" },
    {Title="On recherche : Un œuf de traqueuse noire", Location="Basse-Tourbière", Id="UB", Category="DAILYHEROIC" },
    {Title="On recherche : Le traité du seigneur de guerre", Location="Caveau de la Vapeur", Id="SV", Category="DAILYHEROIC" },
    {Title="On recherche : Le panache d'Ikiss", Location="Salles de Sethekk", Id="SETH", Category="DAILYHEROIC" },
    {Title="On recherche : L'amulette merveilleuse de Shaffar", Location="Tombe Mana", Id="MT", Category="DAILYHEROIC" },
    {Title="On recherche : La gemme d'âme de l'exarque", Location="Les Cryptes Auchenai", Id="AUCH", Category="DAILYHEROIC" },
    {Title="On recherche : Le murmure de Marmon", Location="Labyrinthe des Ombres", Id="SLAB", Category="DAILYHEROIC" },
    {Title="On recherche : La tête du chasseur d'époques", Location="Grottes du Temps : Hautebrande d'antan", Id="DURN", Category="DAILYHEROIC" },
    {Title="On recherche : Le sablier d'Aeonus", Location="Grottes du Temps : Noir Marécage", Id="BM", Category="DAILYHEROIC" },
    {Title="On recherche : Une rognure de Brise-dimension", Location="Botanica", Id="BOT", Category="DAILYHEROIC" },
    {Title="On recherche : Le projecteur de Pathaleon", Location="Mechanar", Id="MECH", Category="DAILYHEROIC" },
    {Title="On recherche : Le parchemin de Cieuriss", Location="Arcatraz", Id="ARC", Category="DAILYHEROIC" },
    {Title="On recherche : La chevalière du prince Kael'thas", Location="La Terrasse des Magistères", Id="MgT", Category="DAILYHEROIC" },
    
    -- DAILY COOKING QUESTS:
    {Title="Manalicieux", Location="Raz-de-Néant", Id="MANALICIOUS", Category="DAILYCOOKING"},
    {Title="La vengeance est un plat…", Location="Skettis", Id="REVENGE", Category="DAILYCOOKING"},
    {Title="Une soupe pour l'âme", Location="Nagrand", Id="SOUPFORSOUL", Category="DAILYCOOKING"},
    {Title="Un ragoût très épicé", Location="Les Tranchantes", Id="SUPERHOTSTEW", Category="DAILYCOOKING"},
    
    -- DAILY FISHING QUESTS:
    {Title="Les crevettes, c’est pas pour les mauviettes", Location="Marécage de Zangar", Id="SHRIMPIN", Category="DAILYFISHING"},
    {Title="Succomber à vos appâts", Location="Forêt de Terokkar", Id="BAITBANDITS", Category="DAILYFISHING"},
    {Title="Celui qui s'échappa", Location="Nagrand", Id="GOTAWAY", Category="DAILYFISHING"},
    {Title="Filet de gangresang", Location="Péninsule des Flammes Infernales -  Vallée d'Ombrelune", Id="FELBLOODFILLET", Category="DAILYFISHING"},
    {Title="Crocolisks in the City", Location="Org / SW", Id="CROCOLISKS", Category="DAILYFISHING"},
    
    -- DAILY BATTLEGROUNDS:
    {Title="Appel aux armes : Œil du cyclone", Location="Oeil du cyclone", Id="EOTS", Category="DAILYBATTLEGROUND"},
    {Title="Appel aux armes : vallée d'Alterac", Location="vallée d'Alterac", Id="AV", Category="DAILYBATTLEGROUND"},
    {Title="Appel aux armes : bassin d'Arathi", Location="Bassin d'Arathi", Id="AB", Category="DAILYBATTLEGROUND"},
    {Title="Appel aux armes : goulet des Chanteguerres", Location="Goulet des Chanteguerres", Id="WSG", Category="DAILYBATTLEGROUND"},
            
    -- dummy quest, so noone (namely, me) has to remember to not put a comma at the end of the quest list.
    {Title="DummyQuest", Id="DUMMYQUEST", Category="NO_CATEGORY"}
}; 